### org.jfree.layouting.layouter.style.functions.content

# Class AttrValueFunction

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.functions.content.AttrValueFunction`

Implemented Interfaces:
  ContentFunction

`public class AttrValueFunction`
`extends java.lang.Object`
`implements ContentFunction`

Creation-Date: 15.04.2006, 18:33:56

Author:
  Thomas Morgner

  ## Constructor Summary

  `AttrValueFunction()`

  ## Method Summary

  `ContentToken`

  `evaluate(LayoutProcess layoutProcess, LayoutElement element, CSSFunctionValue function)`

## Constructor Details

### AttrValueFunction

    public AttrValueFunction()

## Method Details

### evaluate

    public ContentToken evaluate(LayoutProcess layoutProcess,
                                 LayoutElement element,
                                 CSSFunctionValue function)
                throws FunctionEvaluationException

> Specified by:
>   evaluate in interface ContentFunction